## org.eclipse.emf.importer.rose.parser
Class Util

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.Util

    public class Util

extends java.lang.Object

Field Summary
`static int` `DIRECTORY_NOT_FOUND`
`static int` `NOT_A_DIRECTORY`
`static int` `PATH_NOT_VALID`
`static int` `PATH_OK`
`static java.lang.String` `QUOTE`

Constructor Summary
`Util()`

Method Summary
`static boolean` `createDirectory(java.lang.String dirName)`
`static java.lang.String` `getName(java.lang.String str)`
`static java.lang.String` `getType(java.lang.String str)`
`static java.lang.String` `getWord(java.lang.String str, int n)`
`static int` `isValidPath(java.lang.String pathname)`
`static java.lang.String` `trimQuotes(java.lang.String str)`
`static java.lang.String` `updateFileName(java.lang.String fileName, java.lang.String dilimiter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUOTE

    public static final java.lang.String QUOTE

See Also:
  Constant Field Values

### PATH_NOT_VALID

    public static final int PATH_NOT_VALID

See Also:
  Constant Field Values

### DIRECTORY_NOT_FOUND

    public static final int DIRECTORY_NOT_FOUND

See Also:
  Constant Field Values

### PATH_OK

    public static final int PATH_OK

See Also:
  Constant Field Values

### NOT_A_DIRECTORY

    public static final int NOT_A_DIRECTORY

See Also:
  Constant Field Values

Constructor Detail

### Util

    public Util()

Method Detail

### isValidPath

    public static int isValidPath(java.lang.String pathname)

### createDirectory

    public static boolean createDirectory(java.lang.String dirName)

### trimQuotes

    public static java.lang.String trimQuotes(java.lang.String str)

### getType

    public static java.lang.String getType(java.lang.String str)

### getName

    public static java.lang.String getName(java.lang.String str)

### getWord

    public static java.lang.String getWord(java.lang.String str,
                                           int n)

### updateFileName

    public static java.lang.String updateFileName(java.lang.String fileName,
                                                  java.lang.String dilimiter)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.